forwarding bijwerken
Werkt een klant-forwardingregel bij onder het account in het pad.
curl --request PATCH \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding/{forwarding_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target_email": "jsmith@example.com"
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding/{forwarding_id}"
payload = { "target_email": "jsmith@example.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({target_email: 'jsmith@example.com'})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding/{forwarding_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active": true,
"created_at": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_type": "account",
"target_email": "<string>",
"updated_at": "<string>",
"verification_required": true,
"verification_state": "internal",
"verification_expires_at": "<string>",
"verification_sent_at": "<string>",
"verification_verified_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorisaties
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Body
Aanvraag om een forwardingdoel bij te werken.
Bestemmings-e-mailadres doorsturen
Respons
Of doorsturen actief is
Tijdstempel voor het maken van doorstuurregels
Doorstuurregel UUID
Resource UUID voor het doorstuurbereik
Type resourcebereik voor de doorstuurregel
account, workspace, domain Bestemmings-e-mailadres doorsturen
Tijdstempel laatste update van doorstuurregel
Of verificatie van de ontvanger vereist is
Verificatiestatus van ontvanger
internal, pending, verified, expired Tijdstempel van vervaldatum van verificatie
Verificatie-e-mail verzonden tijdstempel
Tijdstempel van voltooiing van de verificatie
Was deze pagina nuttig?
